<?php
namespace Mirasvit\SeoMarkup\Controller\Adminhtml\Extender\Edit;

/**
 * Interceptor class for @see \Mirasvit\SeoMarkup\Controller\Adminhtml\Extender\Edit
 */
class Interceptor extends \Mirasvit\SeoMarkup\Controller\Adminhtml\Extender\Edit implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Magento\Backend\App\Action\Context $context, \Mirasvit\SeoMarkup\Repository\ExtenderRepository $extenderRepository)
    {
        $this->___init();
        parent::__construct($context, $extenderRepository);
    }

    /**
     * {@inheritdoc}
     */
    public function execute() : \Magento\Framework\Controller\ResultInterface
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'execute');
        return $pluginInfo ? $this->___callPlugins('execute', func_get_args(), $pluginInfo) : parent::execute();
    }

    /**
     * {@inheritdoc}
     */
    public function dispatch(\Magento\Framework\App\RequestInterface $request)
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'dispatch');
        return $pluginInfo ? $this->___callPlugins('dispatch', func_get_args(), $pluginInfo) : parent::dispatch($request);
    }
}
